<template>
  <!-- 通用表格 包含了通用的表格样式 -->
  <div class="opertate">
    <!-- 在需要显示表格的位置写上标签 -->
    <!-- 传递熟悉建议用 v-bind.sync 的形式传递 -->
    <!-- 监听事件和平时使用一样 -->

    <dilTable v-bind.sync="option" @transportProgress="transportProgress">
      <el-table-column label="操作">
        <template>
          <el-button type="text" size="mini" @click="transportProgress(scope)">
            运输进度
          </el-button>
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>

<script>
export default {
  data() {
    return {
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/td/truck/type/status2?apiId=13"
      }
    };
  },
  methods: {
    // 声明操作列事件回调方法
    // 参数和element table 回调的参数一样
    transportProgress(scope) {
      console.log(scope);
    }
  }
};
</script>
